define([
    'jquery',
    'mage/utils/wrapper',
    'Magento_Checkout/js/model/quote'
], function ($, wrapper, quote) {
    'use strict';

    return function (setShippingInformationAction) {

        return wrapper.wrap(setShippingInformationAction, function (originalAction) {
           var form =  $('#cegid-checkout-form');

            if(form) {
                $.ajax({
                    type: "POST",
                    url: form.attr('action'),
                    data: form.serialize() + '&quote=' + quote.getQuoteId(),
                    dataType: "json",
                    success: function(msg) {},
                    error: function() {console.log("Chiamata fallita, si prega di riprovare...");}
                });
            }
            
            return originalAction();
        });
    };
});